Skip to main content

Auvious RTC API v1.9.26

Auvious RTC API is the core set of services providing the realtime communication capabilities of the Auvious Platform.

info

You are viewing REST API documentation. This documentation is auto-generated from a swagger specification which itself is generated from annotations in the source code of the project. It is possible that this documentation includes bugs and that code samples are incomplete or wrong.

Authentication​

  • HTTP Authentication, scheme: bearer
  • OAuth 2.0 Authorization.
    • Flow: clientCredentials

    • OAuth 2.0 Token URL = /security/oauth/token

    • OAuth 2.0 Scope

      ScopeScope Description

Snapshots​

Upload a snapshot​

POST https://auvious.video/rtc-api/snapshots/upload HTTP/1.1
Host: auvious.video
Content-Type: multipart/form-data
Accept: */*

Request body​

relatedSnapshotId: string
applicationId: string
targetUserId: string
targetUserEndpointId: string
interactionId: string
userEndpointId: string
snapshotType: string
snapshotSuffix: string
snapshotMimeType: string
image: string

Parameters​

ParameterInTypeRequiredDescription
bodybodyobjecttruenone
» relatedSnapshotIdbodystringfalsenone
» applicationIdbodystringtruenone
» targetUserIdbodystringtruenone
» targetUserEndpointIdbodystringtruenone
» interactionIdbodystringtruenone
» userEndpointIdbodystringtruenone
» snapshotTypebodystringtruenone
» snapshotSuffixbodystringtruenone
» snapshotMimeTypebodystringtruenone
» imagebodystring(binary)truenone

Responses​

Overview​
StatusMeaningDescriptionSchema
204No ContentNo ContentSnapshotUploadResult
400Bad RequestBad RequestInline
Response Schema​

Status Code 400

NameTypeRequiredRestrictionsDescription
» additionalPropertiesstringfalsenonenone
Examples​

204 Response

caution

To perform this operation, you must be authenticated by means of one of the following methods: BearerToken, OAuth2ClientCredentials

Code samples​

curl -X POST https://auvious.video/rtc-api/snapshots/upload \
-H 'Content-Type: multipart/form-data' \ -H 'Accept: */*' \ -H 'Authorization: Bearer {access-token}'

Create a signed url for a snapshot​

POST https://auvious.video/rtc-api/snapshots/signedUrl HTTP/1.1
Host: auvious.video
Content-Type: application/json
Accept: application/json
Referer: string

Request body​

{
"snapshotId": "string",
"createInternalSignedUrl": true
}

Parameters​

ParameterInTypeRequiredDescription
Refererheaderstringtruenone
bodybodyCreateSnapshotSignedURLWebCommandtruenone

Responses​

Overview​
StatusMeaningDescriptionSchema
200OKOKSignedUrl
400Bad RequestBad RequestInline
Response Schema​

Status Code 400

NameTypeRequiredRestrictionsDescription
» additionalPropertiesstringfalsenonenone
Examples​

200 Response

{
"url": "https://cdn.example.com/path/to/file?signature=abc123",
"validFor": "PT5M",
"validUntil": "2025-03-27T12:00:00Z"
}

400 Response

caution

To perform this operation, you must be authenticated by means of one of the following methods: BearerToken, OAuth2ClientCredentials

Code samples​

curl -X POST https://auvious.video/rtc-api/snapshots/signedUrl \
-H 'Content-Type: application/json' \ -H 'Accept: application/json' \ -H 'Referer: string' \ -H 'Authorization: Bearer {access-token}'

Creates a new snapshot request​

POST https://auvious.video/rtc-api/snapshots/request HTTP/1.1
Host: auvious.video
Content-Type: application/json
Accept: application/json

Request body​

{
"applicationId": "string",
"userEndpointId": "string",
"targetUserId": "string",
"targetUserEndpointId": "string",
"sessionType": "UNKNOWN",
"sessionId": "string",
"interactionId": "string",
"snapshotType": "string"
}

Parameters​

ParameterInTypeRequiredDescription
bodybodySnapshotRequestWebCommandtruenone

Responses​

Overview​
StatusMeaningDescriptionSchema
200OKOKSnapshotRequestResult
400Bad RequestBad RequestInline
Response Schema​

Status Code 400

NameTypeRequiredRestrictionsDescription
» additionalPropertiesstringfalsenonenone
Examples​

200 Response

{
"snapshotId": "string"
}

400 Response

caution

To perform this operation, you must be authenticated by means of one of the following methods: BearerToken, OAuth2ClientCredentials

Code samples​

curl -X POST https://auvious.video/rtc-api/snapshots/request \
-H 'Content-Type: application/json' \ -H 'Accept: application/json' \ -H 'Authorization: Bearer {access-token}'

Discard a snapshot​

POST https://auvious.video/rtc-api/snapshots/discard HTTP/1.1
Host: auvious.video
Content-Type: application/json
Accept: */*

Request body​

{
"snapshotId": "string",
"userEndpointId": "string"
}

Parameters​

ParameterInTypeRequiredDescription
bodybodySnapshotDiscardWebCommandtruenone

Responses​

Overview​
StatusMeaningDescriptionSchema
204No ContentNo ContentNone
400Bad RequestBad RequestInline
Response Schema​

Status Code 400

NameTypeRequiredRestrictionsDescription
» additionalPropertiesstringfalsenonenone
Examples​

400 Response

caution

To perform this operation, you must be authenticated by means of one of the following methods: BearerToken, OAuth2ClientCredentials

Code samples​

curl -X POST https://auvious.video/rtc-api/snapshots/discard \
-H 'Content-Type: application/json' \ -H 'Accept: */*' \ -H 'Authorization: Bearer {access-token}'

Creates a new camera request​

POST https://auvious.video/rtc-api/snapshots/cameraRequest HTTP/1.1
Host: auvious.video
Content-Type: application/json
Accept: application/json

Request body​

{
"userEndpointId": "string",
"targetUserId": "string",
"targetUserEndpointId": "string",
"sessionType": "UNKNOWN",
"sessionId": "string",
"cameraRequestType": "CAMERA_SWITCH"
}

Parameters​

ParameterInTypeRequiredDescription
bodybodySnapshotCameraRequestWebCommandtruenone

Responses​

Overview​
StatusMeaningDescriptionSchema
200OKOKstring
400Bad RequestBad RequestInline
Response Schema​

Status Code 400

NameTypeRequiredRestrictionsDescription
» additionalPropertiesstringfalsenonenone
Examples​

200 Response

"string"

400 Response

caution

To perform this operation, you must be authenticated by means of one of the following methods: BearerToken, OAuth2ClientCredentials

Code samples​

curl -X POST https://auvious.video/rtc-api/snapshots/cameraRequest \
-H 'Content-Type: application/json' \ -H 'Accept: application/json' \ -H 'Authorization: Bearer {access-token}'

Responds to a camera request​

POST https://auvious.video/rtc-api/snapshots/cameraRequestRespond HTTP/1.1
Host: auvious.video
Content-Type: application/json
Accept: */*

Request body​

{
"snapshotCameraRequestId": "string",
"userEndpointId": "string",
"succeeded": true,
"additionalInformation": "string"
}

Parameters​

ParameterInTypeRequiredDescription
bodybodySnapshotCameraRequestRespondWebCommandtruenone

Responses​

Overview​
StatusMeaningDescriptionSchema
204No ContentNo ContentNone
400Bad RequestBad RequestInline
Response Schema​

Status Code 400

NameTypeRequiredRestrictionsDescription
» additionalPropertiesstringfalsenonenone
Examples​

400 Response

caution

To perform this operation, you must be authenticated by means of one of the following methods: BearerToken, OAuth2ClientCredentials

Code samples​

curl -X POST https://auvious.video/rtc-api/snapshots/cameraRequestRespond \
-H 'Content-Type: application/json' \ -H 'Accept: */*' \ -H 'Authorization: Bearer {access-token}'

Approve a snapshot​

POST https://auvious.video/rtc-api/snapshots/approve HTTP/1.1
Host: auvious.video
Content-Type: application/json
Accept: */*

Request body​

{
"snapshotId": "string",
"userEndpointId": "string",
"snapshotType": "string"
}

Parameters​

ParameterInTypeRequiredDescription
bodybodySnapshotApproveWebCommandtruenone

Responses​

Overview​
StatusMeaningDescriptionSchema
204No ContentNo ContentNone
400Bad RequestBad RequestInline
Response Schema​

Status Code 400

NameTypeRequiredRestrictionsDescription
» additionalPropertiesstringfalsenonenone
Examples​

400 Response

caution

To perform this operation, you must be authenticated by means of one of the following methods: BearerToken, OAuth2ClientCredentials

Code samples​

curl -X POST https://auvious.video/rtc-api/snapshots/approve \
-H 'Content-Type: application/json' \ -H 'Accept: */*' \ -H 'Authorization: Bearer {access-token}'

Acquire a snapshot​

POST https://auvious.video/rtc-api/snapshots/acquire HTTP/1.1
Host: auvious.video
Content-Type: multipart/form-data
Accept: */*

Request body​

snapshotId: string
userEndpointId: string
snapshotType: string
snapshotSuffix: string
snapshotMimeType: string
image: string

Parameters​

ParameterInTypeRequiredDescription
bodybodyobjecttruenone
» snapshotIdbodystringtruenone
» userEndpointIdbodystringtruenone
» snapshotTypebodystringtruenone
» snapshotSuffixbodystringtruenone
» snapshotMimeTypebodystringtruenone
» imagebodystring(binary)truenone

Responses​

Overview​
StatusMeaningDescriptionSchema
204No ContentNo ContentNone
400Bad RequestBad RequestInline
Response Schema​

Status Code 400

NameTypeRequiredRestrictionsDescription
» additionalPropertiesstringfalsenonenone
Examples​

400 Response

caution

To perform this operation, you must be authenticated by means of one of the following methods: BearerToken, OAuth2ClientCredentials

Code samples​

curl -X POST https://auvious.video/rtc-api/snapshots/acquire \
-H 'Content-Type: multipart/form-data' \ -H 'Accept: */*' \ -H 'Authorization: Bearer {access-token}'

retrieve snapshots​

GET https://auvious.video/rtc-api/snapshots?interactionId=string HTTP/1.1
Host: auvious.video
Accept: */*

Parameters​

ParameterInTypeRequiredDescription
interactionIdquerystringtruenone

Responses​

Overview​
StatusMeaningDescriptionSchema
200OKOKInline
400Bad RequestBad RequestInline
Response Schema​

Status Code 400

NameTypeRequiredRestrictionsDescription
» additionalPropertiesstringfalsenonenone
Examples​

200 Response

caution

To perform this operation, you must be authenticated by means of one of the following methods: BearerToken, OAuth2ClientCredentials

Code samples​

curl -X GET https://auvious.video/rtc-api/snapshots?interactionId=string \
-H 'Accept: */*' \ -H 'Authorization: Bearer {access-token}'

retrieve specific snapshot​

GET https://auvious.video/rtc-api/snapshots/{snapshotId} HTTP/1.1
Host: auvious.video
Accept: */*

Parameters​

ParameterInTypeRequiredDescription
snapshotIdpathstringtruenone

Responses​

Overview​
StatusMeaningDescriptionSchema
200OKOKSnapshot
400Bad RequestBad RequestInline
Response Schema​

Status Code 400

NameTypeRequiredRestrictionsDescription
» additionalPropertiesstringfalsenonenone
Examples​

200 Response

caution

To perform this operation, you must be authenticated by means of one of the following methods: BearerToken, OAuth2ClientCredentials

Code samples​

curl -X GET https://auvious.video/rtc-api/snapshots/{snapshotId} \
-H 'Accept: */*' \ -H 'Authorization: Bearer {access-token}'

get a builtin signed url​

GET https://auvious.video/rtc-api/snapshots/signed/{snapshotId}/{expiration}?signature=string HTTP/1.1
Host: auvious.video
Accept: */*

Parameters​

ParameterInTypeRequiredDescription
snapshotIdpathstringtruenone
expirationpathinteger(int64)truenone
signaturequerystringtruenone

Responses​

Overview​
StatusMeaningDescriptionSchema
200OKOKstring
400Bad RequestBad RequestInline
Response Schema​

Status Code 400

NameTypeRequiredRestrictionsDescription
» additionalPropertiesstringfalsenonenone
Examples​

200 Response

caution

To perform this operation, you must be authenticated by means of one of the following methods: BearerToken, OAuth2ClientCredentials

Code samples​

curl -X GET https://auvious.video/rtc-api/snapshots/signed/{snapshotId}/{expiration}?signature=string \
-H 'Accept: */*' \ -H 'Authorization: Bearer {access-token}'

Schemas​

SnapshotUploadResult​

{
"snapshotId": "string"
}

Properties​

NameTypeRequiredRestrictionsDescription
snapshotIdstringfalsenonenone

CreateSnapshotSignedURLWebCommand​

{
"snapshotId": "string",
"createInternalSignedUrl": true
}

Properties​

NameTypeRequiredRestrictionsDescription
snapshotIdstringtruenonenone
createInternalSignedUrlbooleanfalsenonenone

SignedUrl​

{
"url": "https://cdn.example.com/path/to/file?signature=abc123",
"validFor": "PT5M",
"validUntil": "2025-03-27T12:00:00Z"
}

Properties​

NameTypeRequiredRestrictionsDescription
urlstring(uri)falsenonenone
validForstring(duration)falsenoneUse this ISO-8601 duration for countdowns to avoid clock drift
validUntilstring(date-time)falsenoneTimestamp when the signed link actually expires

SnapshotRequestWebCommand​

{
"applicationId": "string",
"userEndpointId": "string",
"targetUserId": "string",
"targetUserEndpointId": "string",
"sessionType": "UNKNOWN",
"sessionId": "string",
"interactionId": "string",
"snapshotType": "string"
}

Properties​

NameTypeRequiredRestrictionsDescription
applicationIdstringtruenonethe application to use
userEndpointIdstringtruenonethe requester's userEndpointId
targetUserIdstringtruenonethe request's target userId
targetUserEndpointIdstringtruenonethe request's target userEndpointId
sessionTypestringfalsenonesession type, one of CONFERENCE
sessionIdstringfalsenonesession id, e.g. conference id for conference
interactionIdstringfalsenoneinteraction id, e.g. if provided snapshot will be stored under interactions/{interaction-id} folder in storage
snapshotTypestringfalsenonethe snapshot's type
Enumerated Values​
PropertyValue
sessionTypeUNKNOWN
sessionTypeCALL
sessionTypeCONFERENCE

SnapshotRequestResult​

{
"snapshotId": "string"
}

Properties​

NameTypeRequiredRestrictionsDescription
snapshotIdstringfalsenonenone

SnapshotDiscardWebCommand​

{
"snapshotId": "string",
"userEndpointId": "string"
}

Properties​

NameTypeRequiredRestrictionsDescription
snapshotIdstringtruenonethe snapshot id
userEndpointIdstringtruenonethe discarder's userEndpointId

SnapshotCameraRequestWebCommand​

{
"userEndpointId": "string",
"targetUserId": "string",
"targetUserEndpointId": "string",
"sessionType": "UNKNOWN",
"sessionId": "string",
"cameraRequestType": "CAMERA_SWITCH"
}

Properties​

NameTypeRequiredRestrictionsDescription
userEndpointIdstringtruenonethe requester's userEndpointId
targetUserIdstringtruenonethe request's target userId
targetUserEndpointIdstringtruenonethe request's target userEndpointId
sessionTypestringfalsenonesession type, one of CONFERENCE
sessionIdstringfalsenonesession id, e.g. conference id for conference
cameraRequestTypestringtruenonethe request type, feel free to enter what suits you
Enumerated Values​
PropertyValue
sessionTypeUNKNOWN
sessionTypeCALL
sessionTypeCONFERENCE
cameraRequestTypeCAMERA_SWITCH
cameraRequestTypeFLASH_ON
cameraRequestTypeFLASH_OFF

SnapshotCameraRequestRespondWebCommand​

{
"snapshotCameraRequestId": "string",
"userEndpointId": "string",
"succeeded": true,
"additionalInformation": "string"
}

Properties​

NameTypeRequiredRestrictionsDescription
snapshotCameraRequestIdstringtruenonethe request id
userEndpointIdstringtruenonethe responder's userEndpointId
succeededbooleantruenoneindicates if the request succeeded
additionalInformationstringfalsenoneadditional information about the request success or failure

SnapshotApproveWebCommand​

{
"snapshotId": "string",
"userEndpointId": "string",
"snapshotType": "string"
}

Properties​

NameTypeRequiredRestrictionsDescription
snapshotIdstringtruenonethe snapshot id
userEndpointIdstringtruenonethe requester's userEndpointId
snapshotTypestringfalsenonethe snapshot type (override request snapshot type)

Snapshot​

{
"id": "string",
"relatedSnapshotId": "string",
"organizationId": "string",
"applicationId": "string",
"requesterUserId": "string",
"requesterUserEndpointId": "string",
"userId": "string",
"userEndpointId": "string",
"sessionType": "UNKNOWN",
"sessionId": "string",
"timestamp": "2019-08-24T14:15:22Z",
"interactionId": "string",
"type": "string",
"path": "string",
"state": "UPLOADED",
"requestProcessingResult": {
"snapshotId": "string"
},
"approvalProcessingResult": {
"succeeded": true,
"additionalInformation": "string"
},
"suffix": "string",
"mimeType": "string",
"createdAt": "2019-08-24T14:15:22Z",
"version": 0,
"approved": true
}

Properties​

NameTypeRequiredRestrictionsDescription
idstringfalsenonenone
relatedSnapshotIdstringfalsenonenone
organizationIdstringfalsenonenone
applicationIdstringfalsenonenone
requesterUserIdstringfalsenonenone
requesterUserEndpointIdstringfalsenonenone
userIdstringfalsenonenone
userEndpointIdstringfalsenonenone
sessionTypestringfalsenonenone
sessionIdstringfalsenonenone
timestampstring(date-time)falsenonenone
interactionIdstringfalsenonenone
typestringfalsenonenone
pathstringfalsenonenone
statestringfalsenonenone
requestProcessingResultSnapshotRequestResultfalsenonenone
approvalProcessingResultSnapshotApprovalProcessingResultfalsenonenone
suffixstringfalsenonenone
mimeTypestringfalsenonenone
createdAtstring(date-time)falsenonenone
versioninteger(int64)falsenonenone
approvedbooleanfalsenonenone
Enumerated Values​
PropertyValue
sessionTypeUNKNOWN
sessionTypeCALL
sessionTypeCONFERENCE
stateUPLOADED
stateAPPROVED
stateDISCARDED

SnapshotApprovalProcessingResult​

{
"succeeded": true,
"additionalInformation": "string"
}

Properties​

NameTypeRequiredRestrictionsDescription
succeededbooleanfalsenonenone
additionalInformationstringfalsenonenone